实时 Google AI Mode SERP HTML
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/html \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"device": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/html"
payload = {
"keyword": "<string>",
"location_name": "<string>",
"location_code": 123,
"location_coordinate": "<string>",
"language_name": "<string>",
"language_code": "<string>",
"device": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyword: '<string>',
location_name: '<string>',
location_code: 123,
location_coordinate: '<string>',
language_name: '<string>',
language_code: '<string>',
device: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/ai_mode/live/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks[].id": "<string>",
"tasks[].status_code": 123,
"tasks[].status_message": "<string>",
"tasks[].time": "<string>",
"tasks[].cost": 123,
"tasks[].result_count": 123,
"tasks[].path": [
"<string>"
],
"tasks[].data": {},
"tasks[].result": [
"<string>"
],
"tasks[].result[].keyword": "<string>",
"tasks[].result[].type": "<string>",
"tasks[].result[].se_domain": "<string>",
"tasks[].result[].location_code": 123,
"tasks[].result[].language_code": "<string>"
}AI 模式
实时 Google AI Mode SERP HTML
实时返回 Google AI Mode SERP 结果的原始 HTML。
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
google
/
ai_mode
/
live
/
html
实时 Google AI Mode SERP HTML
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
关键词;最多可指定 700 个字符
搜索引擎位置的完整名称;如果未指定 location_code 或 location_coordinate,则此项为必填项
搜索引擎位置代码;如果未指定 location_name 或 location_coordinate,则为必填项
位置的 GPS 坐标;如果未指定 location_name 或 location_code,则为必填项
搜索引擎语言的完整名称;未指定 language_code 时必填
搜索引擎语言代码;未指定 language_name 时必填
设备类型:desktop 或 mobile
响应
成功响应
API 的当前版本
通用状态码
一般信息消息
执行时间(秒)
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
任务数组
任务标识符
任务状态码
任务状态消息
执行时间(秒)
任务成本(美元)
结果数组中的元素数量
URL 路径
包含 POST 请求中指定的相同参数
HTML 结果数组
POST 数组中接收的关键词
POST 数组中的搜索引擎类型
POST 数组中的搜索引擎域名
POST 数组中的位置代码
POST 数组中的语言代码
⌘I